Bug 1277230 - Couldn't find MiqTask error while reloading charts from the most recent C&U data
Couldn't find MiqTask error while reloading charts from the most recent C&U data
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 13:09 EST by Nandini Chandra
Modified: 2015-11-11 15:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 09:51:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-11-02 13:09:32 EST
Description of problem:
----------------------
The UI blows up with this error while reloading charts from the most recent C&U data.

Error Text:
Couldn't find MiqTask with 'id'=312 [vm_infra/wait_for_task] 

Snippet from production.log:
[----] I, [2015-11-02T12:54:30.144692 #2914:61998c]  INFO -- :   Rendered layouts/_exception_contents.html.haml (0.2ms)
[----] I, [2015-11-02T12:54:30.145115 #2914:61998c]  INFO -- : Completed 200 OK in 93ms (Views: 1.0ms | ActiveRecord: 37.7ms)
[----] I, [2015-11-02T12:54:30.150666 #2914:61998c]  INFO -- : Started POST "/vm_infra/wait_for_task?escape=false&task_id=311" for 127.0.0.1 at 2015-11-02 12:54:30 -0500
[----] I, [2015-11-02T12:54:30.151647 #2914:61998c]  INFO -- : Processing by VmInfraController#wait_for_task as JS
[----] I, [2015-11-02T12:54:30.151715 #2914:61998c]  INFO -- :   Parameters: {"authenticity_token"=>"7d5vCFVD6/SYOGOa2LxrahKgCChLK5uBtkGDer4TwVhG0j2wGcPZ5KS1laq9nZYgqHQ9ypTebECNOVBiQYHJbA==", "escape"=>"false", "task_id"=>"311"}
[----] F, [2015-11-02T12:54:30.198262 #2914:61998c] FATAL -- : Error caught: [ActiveRecord::RecordNotFound] Couldn't find MiqTask with 'id'=312
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/core.rb:155:in `find'
/var/www/miq/vmdb/app/controllers/application_controller/performance.rb:759:in `perf_gen_data_after_wait'
/var/www/miq/vmdb/app/controllers/application_controller/performance.rb:631:in `perf_gen_data'
/var/www/miq/vmdb/app/controllers/application_controller/performance.rb:42:in `perf_chart_chooser'
/var/www/miq/vmdb/app/controllers/application_controller/explorer.rb:121:in `x_button'
/var/www/miq/vmdb/app/controllers/application_controller.rb:346:in `wait_for_task'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:137:in `process'


Version-Release number of selected component (if applicable):
-------------------------------------
5.5.0.8


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.Manage a provider.Enable C&U collection for the provider.
2.Navigate to the summary page of a VM.Click 'Monitoring',click 'Utilization'
3.Once the C&U charts are loaded(daily,hourly or most recent hour),hit the 
'Reload the charts from the most recent C&U data'.


Actual results:
---------------


Expected results:
-----------------


Additional info:
----------------
Comment 3 Nandini Chandra 2015-11-05 17:23:58 EST
Issue doesn't occur in 5.5.0.9.

Closing this BZ.I'll reopen if the issue recurs.

Note You need to log in before you can comment on or make changes to this bug.